MongoDBRef
MongoDBRef::get
MongoDBRef
PHP Manual

# MongoDBRef::create

(PECL mongo >= 0.9.0)

MongoDBRef::create — Creates a new database reference

### Description

public static array MongoDBRef::create ( string `$collection` , mixed `$id` [, string `$database` ] )

If no database is given, the current database is used.

### Parameters

`collection`

  Collection name (without the database name).

`id`

  The _id field of the object to which to link.

`database`

  Database name.

### Return Values

Returns the reference.

### Examples

Example #1 MongoDBRef::create() example

This creates a database reference to a document in the addresses collection. The MongoCollection::getName() function returns the name of the collection (not including the database name).

`<?php
$addresses = $db->addresses;
$people = $db->people;
// save $address so it has an _id
$addresses->insert($address);
// create a reference
$ref = MongoDBRef::create($addresses->getName(), $address['_id']);
// set the field in $person
$person['address'] = $ref;
$people->save($person);
?>`

### See Also

- MongoDB::createDBRef() - Creates a database reference
- MongoCollection::createDBRef() - Creates a database reference

MongoDBRef
MongoDBRef::get
MongoDBRef
PHP Manual